#pragma once
/*
	File:		ckt/ctype.h
	
	Contains:	inline implementation of ANSI C ctype.h functions.
				because dragging in the entire ANSI lib is such
				a pain when all you want is isspace().
				
	Version:	1.0
	
	Copyright:	1995 Chris K. Thomas.  All Rights Reserved.
	
	History:	22 August 1995 ckt created.

*/

//#define COMPILERS_GOT_BOOL Yup
//#define COMPILERS_GOT_WCHAR_T Yup

#if (!defined COMPILERS_GOT_BOOL)
typedef Boolean bool;
#endif

#if (!defined COMPILERS_GOT_WCHAR_T)
typedef short wchar_t;
#endif

// * is whitespace?
inline bool isspace(wchar_t inIs)
{
	bool out = false;
	
	if(inIs == ' ' || inIs == '\t')
	{
		out = true;
	}
	
	return out;
}

// * is AlphaNumeric?
inline bool isalphanum(wchar_t inIs)
{
	bool out = false;
	
	if(		(inIs >= 'a' && inIs <= 'z')
		||	(inIs >= 'A' && inIs <= 'Z')
		||	(inIs >= '0' && inIs <= '9'))
	{
		out = true;
	}
	
	return out;
}

inline bool isOdd(wchar_t inIs)
{
	bool out = false;

	if(inIs & 0x0001)
		out = true;
	
	return out;
}