#pragma once
/*
	File:		SpinCursorLib.h
	
	Contains:	Cursor spinning routines.

	Copyright:	1995 Chris K. Thomas.  All Rights Reserved.
	
	Version:	1.0
	
	History:	ckt August 2, 1995 created.
*/

#include <LDynamicArray.h>

const short 	kMinSpinTicks = 5;

class CursorSet
{
	LDynamicArray	mYCursors;
	long			mLastTicks;
	long			mCursorIterator;
	CursHandle		mCurrentCursor;
	
	public:
	CursorSet(const short inStartID, const short inNumCursors);
	~CursorSet();
	
	void Spin();
};
